SolrQuery::setHighlightSimplePre
SolrQuery::setHighlightUsePhraseHighlighter
SolrQuery
PHP Manual

# SolrQuery::setHighlightSnippets

(PECL solr >= 0.9.2)

SolrQuery::setHighlightSnippets — Sets the maximum number of highlighted snippets to generate per field

### Descrição

public SolrQuery SolrQuery::setHighlightSnippets ( int `$value` [, string `$field_override` ] )

Sets the maximum number of highlighted snippets to generate per field

### Parâmetros

`value`

  The maximum number of highlighted snippets to generate per field

`field_override`

  The name of the field.

### Valor Retornado

Returns the current SolrQuery object, if the return value is used.

SolrQuery::setHighlightSimplePre
SolrQuery::setHighlightUsePhraseHighlighter
SolrQuery
PHP Manual